Slackware 10.0 / 10.1 / 10.2 / 8.1 / 9.0 / 9.1 / current : OpenSSL (SSA:2005-286-01)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote Slackware host is missing a security update.

Description :

New OpenSSL packages are available for Slackware 8.1, 9.0, 9.1, 10.0,
10.1, 10.2, and -current to fix a security issue. Under certain
conditions, an attacker acting as a 'man in the middle' may force a
client and server to fall back to the less-secure SSL 2.0 protocol.

See also :

http://www.openssl.org/news/secadv_20051011.txt
http://www.nessus.org/u?3c026715

Solution :

Update the affected openssl and / or openssl-solibs packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N)

Family: Slackware Local Security Checks

Nessus Plugin ID: 20017 ()

Bugtraq ID:

CVE ID: CVE-2005-2969